Name:           luarocks
Version:        3.10.0
Release:        %mkrel 2
License:        MIT
Summary:        A package manager for Lua modules
Group:          Development/Other
Url:            https://luarocks.org/
Source0:        https://luarocks.org/releases/%{name}-%{version}.tar.gz
Patch1:         luarocks-3.5.0-dynamic_libdir.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(lua)
Requires:       lua%{lua_version}
Requires:       lua-sec
Requires:       unzip
Requires:       zip
Suggests:	pkgconfig(lua)

%description
LuaRocks allows you to install Lua modules as self-contained packages called
"rocks", which also contain version dependency information. This information is
used both during installation, so that when one rock is requested all rocks it
depends on are installed as well, and at run time, so that when a module is
required, the correct version is loaded. LuaRocks supports both local and
remote repositories, and multiple local rocks trees.

%prep
%autosetup -p1

%build
./configure \
  --prefix=%{_prefix} \
  --lua-version=%{lua_version} \
  --with-lua=%{_prefix}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_prefix}/lib/luarocks/rocks-%{lua_version}

%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/luarocks
%config(noreplace) %{_sysconfdir}/luarocks/config-%{lua_version}.lua
%{_bindir}/luarocks
%{_bindir}/luarocks-admin
%{_prefix}/lib/luarocks
%{lua_pkgdir}/luarocks


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.10.0-2.mga10
+ Revision: 2221490
- Mageia 10 Mass Rebuild

* Wed Mar 06 2024 kekepower <kekepower> 3.10.0-1.mga10
+ Revision: 2047831
- Update to version 3.10.0

* Sat Feb 17 2024 kekepower <kekepower> 3.9.2-1.mga10
+ Revision: 2042079
- Update to version 3.9.2

* Mon Mar 21 2022 umeabot <umeabot> 3.7.0-2.mga9
+ Revision: 1814413
- Mageia 9 Mass Rebuild

* Sat Apr 24 2021 wally <wally> 3.7.0-1.mga9
+ Revision: 1719188
- new version 3.7.0

* Fri Apr 02 2021 wally <wally> 3.5.0-2.mga9
+ Revision: 1712829
- rebuild for lua 5.4

* Mon Mar 29 2021 wally <wally> 3.5.0-1.mga9
+ Revision: 1711737
- new version 3.5.0
- build with latest lua

* Sat Feb 15 2020 umeabot <umeabot> 3.0.4-2.mga8
+ Revision: 1523906
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 shlomif <shlomif> 3.0.4-1.mga7
+ Revision: 1377700
- New version 3.0.4

* Sun Sep 23 2018 umeabot <umeabot> 2.4.3-2.mga7
+ Revision: 1299375
- Mageia 7 Mass Rebuild

* Fri Dec 01 2017 shlomif <shlomif> 2.4.3-1.mga7
+ Revision: 1180618
- Correct the summary.
- import from kekePower - thanks

